<section class="providers-list">
  <div class="providers-list__header">
    <div class="providers-list__title">
      <h1>مــدیریت هتل</h1>
    </div>

    <div class="providers-list__add">
      <button
        mat-button
        (click)="handleHotel()"
        [icon]="showHideAddContainer ? 'remove' : 'add'"
      >
        <mat-icon>add</mat-icon>
        افزودن هتل جدید
      </button>
    </div>
  </div>

  <app-add-hotel
    *ngIf="showHideAddContainer"
    [form]="hotelForm"
    [mode]="mode"
    [hotelData]="data"
    [isUpdate]="isUpdate"
    (onAdd)="onAddHotel()"
    (onUpdate)="onUpdateHotel()"
    [isPending]="formPending"
  ></app-add-hotel>
  <div *ngIf="tablePending; else showList" class="providers-list__loading">
    <img src="../../assets/images/loading.svg" />
  </div>
  <ng-template #showList>
    <primary-empty
      *ngIf="isEmpty; else showResult"
      [message]="message"
    ></primary-empty>
    <ng-template #showResult>
      <app-table
        [dataSource]="hotelList"
        [havePaginate]="false"
        [totalData]="hotelCount"
        [currentPage]="current_page"
        [columnsStructure]="columnsStructure"
        (onClickAction)="handleActions($event)"
      ></app-table>
    </ng-template>
  </ng-template>

  <div class="app-header__exit" (click)="onLogout()">
    <button mat-icon-button class="icon-button">
      <mat-icon class="icon">power_settings_new</mat-icon>
    </button>
    <span>خروج</span>
  </div>
</section>
